Skip to main content
GET
/
extract
/
{extraction_id}
Get extraction status
curl --request GET \
  --url https://apigcp.trynia.ai/v2/extract/{extraction_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "status": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "progress": 0,
  "url": "<string>",
  "source_display_name": "<string>",
  "page_range": "<string>",
  "records": [
    {}
  ],
  "record_count": 0,
  "page_count": 0,
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

extraction_id
string
required

Response

Successful Response

id
string
required

Extraction job ID

status
string
required

Job status: queued, processing, completed, failed

created_at
string
required
updated_at
string
required
progress
integer
default:0

Processing progress percentage (0-100)

url
string | null
source_display_name
string | null
page_range
string | null
records
Records · object[]

Extracted records conforming to the provided schema

record_count
integer
default:0
page_count
integer
default:0
error
string | null